[arch-commits] CVS update of extra/network/linuxdcpp (PKGBUILD linuxdcpp.desktop)

Tom Killian tom at archlinux.org
Tue Dec 11 05:44:50 EST 2007


    Date: Tuesday, December 11, 2007 @ 05:44:50
  Author: tom
    Path: /home/cvs-extra/extra/network/linuxdcpp

   Added: PKGBUILD (1.1) linuxdcpp.desktop (1.1)

upgpkg: linuxdcpp 1.0.0-1
first stable release


-------------------+
 PKGBUILD          |   27 +++++++++++++++++++++++++++
 linuxdcpp.desktop |    9 +++++++++
 2 files changed, 36 insertions(+)


Index: extra/network/linuxdcpp/PKGBUILD
diff -u /dev/null extra/network/linuxdcpp/PKGBUILD:1.1
--- /dev/null	Tue Dec 11 05:44:50 2007
+++ extra/network/linuxdcpp/PKGBUILD	Tue Dec 11 05:44:50 2007
@@ -0,0 +1,27 @@
+# $Id: PKGBUILD,v 1.1 2007/12/11 10:44:50 tom Exp $
+# Maintainer: Tom K <tom at archlinux.org>
+
+pkgname=linuxdcpp
+pkgver=1.0.0
+pkgrel=1
+pkgdesc="A port of the DC++ direct connect client to Unix/Linux using GTK+"
+url="http://linuxdcpp.berlios.de"
+license=('GPL')
+arch=('i686' 'x86_64')
+depends=('libglade' 'bzip2' 'gcc' 'glib' 'zlib' 'openssl')
+makedepends=('scons' 'pkgconfig')
+conflicts=('linuxdcpp-cvs')
+source=(http://download.berlios.de/linuxdcpp/linuxdcpp-$pkgver.tar.bz2
+	linuxdcpp.desktop)
+
+build() {
+  cd $startdir/src/linuxdcpp-$pkgver
+
+  scons PREFIX=/usr LIBDIR=/usr/share || return 1
+  scons install FAKE_ROOT=$startdir/pkg || return 1
+  
+  install -D ../linuxdcpp.desktop $startdir/pkg/usr/share/applications/linuxdcpp.desktop
+  install -D pixmaps/linuxdcpp-icon.png $startdir/pkg/usr/share/pixmaps/linuxdcpp.png
+}
+md5sums=('33c3b0ae46772dec3142e35c30401a27'
+         'bb9571a39b1b6df474106a19a82ce279')
Index: extra/network/linuxdcpp/linuxdcpp.desktop
diff -u /dev/null extra/network/linuxdcpp/linuxdcpp.desktop:1.1
--- /dev/null	Tue Dec 11 05:44:50 2007
+++ extra/network/linuxdcpp/linuxdcpp.desktop	Tue Dec 11 05:44:50 2007
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Categories=GTK;Network;P2P
+Encoding=UTF-8
+Exec=linuxdcpp
+Icon=linuxdcpp.png
+GenericName=Direct connect client
+Name=Linux DC++
+TryExec=linuxdcpp
+Type=Application




More information about the arch-commits mailing list